Subject: Re: [PATCH] transport: fix leak with transport helper URLs

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 8 Aug 2024 06:52:31 +0200

On Wed, Aug 07, 2024 at 06:11:10PM -0700, Junio C Hamano wrote:
> Transport URLs can be prefixed with "foo::", which would tell us that
> the transport uses a remote helper called "foo". We extract the helper
> name by `xstrndup()`ing the prefix before the double-colons, but never
> free that string.
> 
> Fix this leak by assigning the result to a separate local variable that
> we can then free upon returning.
> 
> Helped-by: Patrick Steinhardt <[email-masked]>
> Signed-off-by: Junio C Hamano <[email-masked]>

I saw that you've merged this to `next` already, but: this looks good to
me, thanks!

Patrick